Subject: [PATCH] ARM: S5P: Add PMU device

From: [email-masked] (Joonyoung Shim)
Date: Tue, 06 Jul 2010 10:48:01 +0900

On 7/5/2010 9:57 PM, Kukjin Kim wrote:
> Maurus Cuelenaere wrote:
>>  Op 05-07-10 03:46, Joonyoung Shim schreef:
>>> This patch adds an initcall for the s5p platforms so that they register
>>> their PMU IRQs with the PMU framework in the Kernel.
>>>
>>> Signed-off-by: Joonyoung Shim <[email-masked]>
>>> ---
>>>  arch/arm/mach-s5p6442/include/mach/irqs.h |    2 +-
>>>  arch/arm/mach-s5pc100/include/mach/irqs.h |    1 +
>>>  arch/arm/mach-s5pv210/include/mach/irqs.h |    1 +
>>>  arch/arm/plat-s5p/Makefile                |    1 +
>>>  arch/arm/plat-s5p/dev-pmu.c               |   37
>> +++++++++++++++++++++++++++++
>>>  5 files changed, 41 insertions(+), 1 deletions(-)
>>>  create mode 100644 arch/arm/plat-s5p/dev-pmu.c
>> Wouldn't it be better if this was in plat-samsung? I can see that the S3C6410
>> datasheet mentions a PMU_IRQ_ENABLE bit in SYS_OTHERS so I suspect that it
>> has
>> the same functionality (even though there's no mention of which interrupt this
>> is).
>>
> Yes, I also found PMU_IRQ_ENABLE bit in System Others register of S3C6410 datasheet. But as your comments, could not found the interrupt number and any description...Actually, need to check whether it's available or not.
> 

Right, please check it, i cannot do it.

> And S5P6440 has it.
> So Joonyoung, it would be helpful if you could add 6440 PMUIRQ (VIC1[23]) in this patch.
> 

It already was added.

> Thanks.
> 
> Best regards,
> Kgene.
> --
> Kukjin Kim <[email-masked]>, Senior Engineer,
> SW Solution Development Team, Samsung Electronics Co., Ltd.
> 
>